/* rmap - vector based global map generating program
 * Copyright (C) 2000 Reza Naima <reza@reza.net>
 *
 * http://www.reza.net/rmap/
 *
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 */

#ifndef __FUNCTION_H__
#define __FUNCTION_H__
extern void generate(struct imageLayout *scene);
extern struct color* get_color (char* c);
extern void addText (struct imageLayout *s, spherePt spt, char* text);
extern void image_init (struct imageLayout *s);
extern void computeMatrix(struct imageLayout *s);
extern void addText (struct imageLayout *s, spherePt spt, char* text);
#endif
